#!/usr/bin/env python
# Last modified:  Time-stamp: <2007-12-11 11:37:00 haines>
"""
Tests processing raw data to monthly netcdf
"""

# test interface within python
raw2proc('auto')
raw2proc(proctype='auto')
raw2proc(platform='bogue',package='adcp')  # fails not defined

raw2proc('manual') # fails, not enough params
raw2proc(proctype='manual') # fails, not enough params

raw2proc('bogue','adcp','2007_07')
raw2proc(proctype='manual', platform='bogue',package='adcp', yyyy_mm='2007_07')
raw2proc(platform='bogue',package='adcp',yyyy_mm='2007_07')

raw2proc(yyyy_mm='2007_07', package='adcp', platform='bogue')

# test interface from shell
